Name:           x11docker
Version:        6.9.0
Release:        1%{?dist}
Summary:        Run GUI applications and desktops in Linux containers

License:        MIT
URL:            https://github.com/mviereck/x11docker
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz
# Default to the podman backend instead of docker
Patch0:         x11docker-podman-default.patch
# Use /usr/bin/tini-static for tini if available
Patch1:         %{url}/pull/369.patch

BuildArch:      noarch

Requires:       bash
Requires:       (podman or /usr/bin/docker or /usr/bin/nerdctl)
Requires:       (xorg-x11-server-Xwayland or xorg-x11-server-Xorg)

Recommends:     nxagent
Recommends:     tini-static
Recommends:     xclip
Recommends:     xdotool
Recommends:     xdpyinfo
Recommends:     xhost
Recommends:     xorg-x11-server-Xephyr
Recommends:     xorg-x11-server-Xvfb
Recommends:     xorg-x11-xauth
Recommends:     xorg-x11-xinit
Recommends:     xpra
Recommends:     xrandr
Recommends:     weston

%description
x11docker allows to run graphical desktop applications (and entire desktops) in
Linux containers.

%prep
%autosetup -p1

%install
mkdir -p %{buildroot}%{_bindir}
cp -P x11docker %{buildroot}%{_bindir}/

%files
%license LICENSE.txt
%doc README.md CHANGELOG.md TODO.md paper.bib paper.md x11docker.png
%{_bindir}/x11docker

%changelog
* Sun Jun 13 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 6.9.0-1
- Initial package
